/*
 *  audevcod.h  Audio event codes
 *
 * =========================================================================
 *
 *                          Open Watcom Project
 *
 * Copyright (c) 2004-2010 The Open Watcom Contributors. All Rights Reserved.
 *
 *    This file is automatically generated. Do not edit directly.
 *
 * =========================================================================
 */

#ifndef __AUDEVCOD__
#define __AUDEVCOD__

#ifndef _ENABLE_AUTODEPEND
 #pragma read_only_file;
#endif

#ifdef __cplusplus
extern "C" {
#endif

/* Sound device error event codes */
#define EC_SND_DEVICE_ERROR_BASE    0x0200
#define EC_SNDDEV_IN_ERROR          (EC_SND_DEVICE_ERROR_BASE + 0)
#define EC_SNDDEV_OUT_ERROR         (EC_SND_DEVICE_ERROR_BASE + 1)

/* Sound device error codes */
typedef enum _tagSND_DEVICE_ERROR {
    SNDDEV_ERROR_Open               = 1,
    SNDDEV_ERROR_Close              = 2,
    SNDDEV_ERROR_GetCaps            = 3,
    SNDDEV_ERROR_PrepareHeader      = 4,
    SNDDEV_ERROR_UnprepareHeader    = 5,
    SNDDEV_ERROR_Reset              = 6,
    SNDDEV_ERROR_Restart            = 7,
    SNDDEV_ERROR_GetPosition        = 8,
    SNDDEV_ERROR_Write              = 9,
    SNDDEV_ERROR_Pause              = 10,
    SNDDEV_ERROR_Stop               = 11,
    SNDDEV_ERROR_Start              = 12,
    SNDDEV_ERROR_AddBuffer          = 13,
    SNDDEV_ERROR_Query              = 14
} SNDDEV_ERR;

#ifdef __cplusplus
} /* extern "C" */
#endif

#endif /* __AUDEVCOD__ */
